services:
#  backend:
#    image: registry.gitlab.com/dev-initialde/transportdosapi:${BACK_VERSION}
#    ports:
#      - "9096:9090"
#    environment:
#      SPRING_DATASOURCE_URL: ${POSTGRES_URL}
#      SPRING_DATASOURCE_USERNAME: ${POSTGRES_USERNAME}
#      SPRING_DATASOURCE_PASSWORD: ${POSTGRES_PASSWORD}
#    depends_on:
#      - postgres
#    networks:
#      - transport-document-net
#    restart: always
#    env_file:
#      - .env

  frontend:
    image: registry.gitlab.com/dev-initialde/dgttplatform:${FRONT_VERSION}
    ports:
      - "85:80"
    volumes:
      - ./nginx.conf:/etc/nginx/conf.d/default.conf:ro
#    depends_on:
#      - backend
    networks:
      - transport-document-net

#  postgres:
#    image: postgres:15
#    container_name: transport-document-postgres
#    environment:
#      POSTGRES_DB: transportDocument
#      POSTGRES_USER: initial_user
#      POSTGRES_PASSWORD: ${POSTGRES_PASSWORD}
#    volumes:
#      - postgres_data:/var/lib/postgresql/data
#    networks:
#      - transport-document-net
#    restart: always
#
#volumes:
#  postgres_data:

networks:
  transport-document-net:
    driver: bridge
